Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008427opensim[REGION] Script Functionspublic2018-12-17 00:052018-12-30 23:18
ReporterKayaker Magic 
Assigned ToKayaker Magic 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOpenSim on Linux using OSGridOSDoes OS mean Operating System?OS Version0.9.1.0 Snail De
Product Version0.9.0.1 
Target VersionFixed in Versionmaster (dev code) 
Summary0008427: llCastRay cannot detect prims in the same build as the script
DescriptionThe LL SL WiKi states that llCastRay can detect the prim the script is in, as long as the start is outside the prim.

HOWEVER, in OpenSim, llCastRay CANNOT detect the prim it is in, or even any of the other prims in the same build. It can only detect prims in other builds.


Steps To ReproduceStick the following script into a small prim. A 0.5 meter cube is fine.
Click on the prim to fire llCastRay. It will probably detect the terrain through the prim. Raise it a couple meters off the ground and click it again. It will claim to detect nothing, even though the prim is in the middle of the cast.
Additional Information  //demonstrate that lLCastRay cannot detect the prim the script is in.
default
{
    state_entry()
    {
        llSay(0, "click to cast");
    }
    touch_start(integer num)
    {
        list hits=llCastRay(llGetPos()+<0,0,1>,llGetPos()-<0,0,1>,[RC_MAX_HITS,1]);
        llOwnerSay(llList2CSV(hits));
    }
}
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
EnvironmentMono / Linux64
Mono Version5.x
ViewerFireStorm x64
Attached Files

- Relationships

-  Notes
(0033649)
UbitUmarov (administrator)
2018-12-17 03:18
edited on: 2018-12-18 02:37

changed master on this:
by default prims detected by physics will be reported,
host and host group prims (linkset) where in fact ignored.

added RC_REJECT_TYPES flags:
- RC_REJECT_HOST will reject script host prim
- RC_REJECT_HOSTGROUP will reject prims on same linkset as host, including host.

currently not possible to exclude other prims on linkset still reporting host
would be useful burning a few ns to allow that?

(0033696)
Kayaker Magic (reporter)
2018-12-30 23:14

I don't see a compelling reason for the ability to exclude different sets of prims on the linkset. In SL you always detect all the prims in the linkset. Having the ability to turn that on and off is nice.
I tested this new version, in the default mode it behaves just like SL.
Mark this Mantis as being resolved!

- Issue History
Date Modified Username Field Change
2018-12-17 00:05 Kayaker Magic New Issue
2018-12-17 03:18 UbitUmarov Note Added: 0033649
2018-12-18 02:37 aiaustin Note Edited: 0033649 View Revisions
2018-12-30 23:14 Kayaker Magic Note Added: 0033696
2018-12-30 23:17 Kayaker Magic Resolution open => fixed
2018-12-30 23:17 Kayaker Magic Fixed in Version => master (dev code)
2018-12-30 23:18 Kayaker Magic Status new => resolved
2018-12-30 23:18 Kayaker Magic Assigned To => Kayaker Magic


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker